"Preparations"
MCCacheRepository instVarNamed: 'default' put: nil.
Deprecation raiseWarning: false.
!
"University proxy"
NetworkSystemSettings httpProxyServer: 'proxy.iam.unibe.ch'.
NetworkSystemSettings httpProxyPort: 8080.
NetworkSystemSettings useHTTPProxy: true.
!
Gofer new
	squeaksource: 'talents';
	package: 'Talents-Model';
	package: 'Talents-Tests';
	load.
!
"Reset proxy"
NetworkSystemSettings useHTTPProxy: false.
!
"Clear Author"
Author reset.
!
"Clear Monticello Caches"
MCCacheRepository instVarNamed: 'default' put: nil.
MCFileBasedRepository flushAllCaches.
MCMethodDefinition shutDown.
MCDefinition clearInstances.
!
"Cleanup Smalltalk"
Smalltalk flushClassNameCache.
Smalltalk organization removeEmptyCategories.
Smalltalk allClassesAndTraitsDo: [ :each |
	each organization removeEmptyCategories; sortCategories.
	each class organization removeEmptyCategories; sortCategories ].
!
"Cleanup System Memory"
Smalltalk garbageCollect.
Symbol compactSymbolTable.
Deprecation raiseWarning: true.
!
"Save and Quit"
WorldState addDeferredUIMessage: [
	SmalltalkImage current snapshot: true andQuit: true ].
!
